<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8"/>
  <title>Zen 7.x-6.x Style Guide</title>

  <meta name="description" content=""/>
  <meta name="generator" content="kss-node"/>
  <meta name="viewport" content="width=device-width"/>

  <link rel="stylesheet" href="kss-assets/kss.css"/>
  <link rel="stylesheet" href="../css/styles.css"/>
<link rel="stylesheet" href="../css/style-guide/chroma-kss-styles.css"/>
<link rel="stylesheet" href="../css/style-guide/kss-only.css"/>

</head>
<body id="kss-node" class="kss-fullscreen-mode">

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">Zen 7.x-6.x Style Guide</h1>
  </header>
  <nav class="kss-nav" aria-label="Style Guide">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-sass.html">
          <span class="kss-nav__ref">1</span><span class="kss-nav__name">Colors and Sass</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">2</span><span class="kss-nav__name">Defaults</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-layouts.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Layouts</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">4</span><span class="kss-nav__name">Components</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-navigation.html">
          <span class="kss-nav__ref">5</span><span class="kss-nav__name">Navigation</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-forms.html">
          <span class="kss-nav__ref">6</span><span class="kss-nav__name">Forms</span>
        </a>
              </li>
        </ul>
  </nav>
</div>
<main class="kss-main" aria-label="content">
<article>

  
          <div id="kssref-sass-mixins-image-url" class="kss-section kss-section--depth-3 is-fullscreen">
      <div class="kss-style">
                <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-sass-mixins-image-url">
            <span class="kss-title__ref">
              1.6.2
              <span class="kss-title__permalink-hash">
                sass.mixins.image-url
              </span>
            </span>
            image-url()
          </a>
        </h3>

        
                  <div class="kss-description">
            <p>If you include your images next to your component Sass files, you need to
specify a url() to point from the generated CSS to the Sass source like this:</p>
<pre class="hljs"><code class="language-css"><span class="hljs-selector-tag">content</span>: <span class="hljs-selector-tag">url</span>(../<span class="hljs-selector-tag">sass</span>/<span class="hljs-selector-tag">components</span>/<span class="hljs-selector-tag">is-quite</span>/<span class="hljs-selector-tag">long</span><span class="hljs-selector-class">.svg</span>);
</code></pre>
<p>With the <code>image-url()</code> function the path to all your components is assumed to
start with <code>../sass/components/</code> and you just need to give it the last, short
bit of the path in your Sass code like this:</p>
<pre class="hljs"><code class="language-scss"><span class="hljs-attribute">content</span>: image-url(is-quite/short.svg);
</code></pre>
<p>If you want to point at an image that is not in the components sub-directory
of your sass directory, you can override the default $subdirectory by
passing it in as the first parameter of <code>image-url()</code> like this:</p>
<pre class="hljs"><code class="language-scss"><span class="hljs-attribute">content</span>: image-url(base, grouping/blockquote.svg);
</code></pre>
<p>which would output <code>url(../sass/base/grouping/blockquote.svg)</code>.</p>

          </div>
        
        
                              <div class="kss-parameters__title">Parameters:</div>
            <ul class="kss-parameters">
                      <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>$subdirectory</code></div>
              <div class="kss-parameters__description">
                Optional. The relative path from the root of your Sass source to the sub-directory where components usually lie.
                                  <div class="kss-parameters__default-value">
                    Defaults to: <code>$image-url-subdirectory</code>
                  </div>
                              </div>
            </li>
                                        <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>$path</code></div>
              <div class="kss-parameters__description">
                Required. The path to the image relative to the <code>$subdirectory</code>.
                              </div>
            </li>
                                        <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>$path-to-source</code></div>
              <div class="kss-parameters__description">
                Optional. The relative path from the css build directory to the sass source directory.
                                  <div class="kss-parameters__default-value">
                    Defaults to: <code>$image-url-path-to-source</code>
                  </div>
                              </div>
            </li>
                      </ul>
                        </div>

      
              <div class="kss-source kss-style">
          Source: <code>sass/init/image-url/_image-url.scss</code>, line 6
        </div>
          </div>
  </article>
</main>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>




<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
